
    <div style="width:<?php echo get_option('as_map_width', '100%'); ?>;">
        <div id="agentstorm_map" style="height:<?php echo get_option("as_map_height", "350px"); ?>; width:<?php echo get_option('as_map_width', '100%'); ?>;"></div>
    </div>

<script>
    var map;
    onload = function(){
        
        map = new AgentStormMap('agentstorm_map', '<?php echo get_option('as_map_provider', 'agentstorm'); ?>', false);
        map.event.addListener(map, 'mapReady', function() {
            map.setMarkerProxyUrl('<?php bloginfo('wpurl') ?>/wp-content/plugins/agent-storm/agentstorm_result_proxy.php');
            map.setMarkerUrl('<?php bloginfo('wpurl') ?>/wp-content/plugins/agent-storm/static/images/house_icon.png');
            //map.addTransitOverlay();
            map.setCenter(<?php echo get_option('as_map_lat', '38'); ?>, <?php echo get_option('as_map_lng', '-97'); ?>, <?php echo get_option('as_map_zoom', '4'); ?>);
            map.event.addListener(map, 'zoomEnd', map.updateMarkers, map);
            map.event.addListener(map, 'moveEnd', map.updateMarkers, map);
            map.updateMarkers();
        });
        
    }
</script>
